For some reason apt-listbugs is not working on Debian Etch (testing). Is it a
temporary error or something that needs a bug report to be filed?
$sudo apt-get install kmail
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
libpng12-0 libpng12-dev
Suggested packages:
clamav f-prot-installer
The following packages will be upgraded:
kmail libpng12-0 libpng12-dev
3 upgraded, 0 newly installed, 0 to remove and 892 not upgraded.
Need to get 0B/2585kB of archives.
After unpacking 4096B disk space will be freed.
Do you want to continue [Y/n]?
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... 0% W: syntax error
Error retrieving bug reports
Retry downloading bug information?[Y/n]? n
Abort the installation[Y/n]?
... E: Exiting with error
E: Sub-process if dpkg -s apt-listbugs | grep -q '^Status: .* ok installed';
then /usr/sbin/apt-listbugs apt || ( test $? -ne 10 || exit 10;
echo 'Warning: apt-listbugs exited abnormally, hit enter key to continue.'
1>&2 ; read a < /dev/tty ); fi returned an error code (10)
E: Failure running script if dpkg -s apt-listbugs | grep -q '^Status: .* ok
installed'; then /usr/sbin/apt-listbugs apt || ( test $? -ne 10 || exit 10;
echo 'Warning: apt-listbugs exited abnormally, hit enter key to continue.'
1>&2 ; read a < /dev/tty ); fi
raju
--
Kamaraju S Kusumanchi
http://www.people.cornell.edu/pages/kk288/
http://malayamaarutham.blogspot.com/
----------------------------------------------------------------------
Click to publish your book fast, high quality presses
http://tags.bluebottle.com/fc/KCuXzzTYCes71ASyiIm9WJGZGNoq6B/
--
Bookmark/Search this post with:
apt-listbugs not working
Kamaraju Kusumanchi(kamaraju@bluebottle.com) is reported to have said:
> For some reason apt-listbugs is not working on Debian Etch (testing). Is it a
> temporary error or something that needs a bug report to be filed?
>
>
> $sudo apt-get install kmail
> Reading package lists... Done
> Building dependency tree... Done
> The following extra packages will be installed:
> libpng12-0 libpng12-dev
> Suggested packages:
> clamav f-prot-installer
> The following packages will be upgraded:
> kmail libpng12-0 libpng12-dev
> 3 upgraded, 0 newly installed, 0 to remove and 892 not upgraded.
> Need to get 0B/2585kB of archives.
> After unpacking 4096B disk space will be freed.
> Do you want to continue [Y/n]?
> Reading package fields... Done
> Reading package status... Done
> Retrieving bug reports... 0% W: syntax error
> Error retrieving bug reports
> Retry downloading bug information?[Y/n]? n
> Abort the installation[Y/n]?
> ... E: Exiting with error
> E: Sub-process if dpkg -s apt-listbugs | grep -q '^Status: .* ok installed';
> then /usr/sbin/apt-listbugs apt || ( test $? -ne 10 || exit 10;
> echo 'Warning: apt-listbugs exited abnormally, hit enter key to continue.'
> 1>&2 ; read a < /dev/tty ); fi returned an error code (10)
> E: Failure running script if dpkg -s apt-listbugs | grep -q '^Status: .* ok
> installed'; then /usr/sbin/apt-listbugs apt || ( test $? -ne 10 || exit 10;
> echo 'Warning: apt-listbugs exited abnormally, hit enter key to continue.'
> 1>&2 ; read a < /dev/tty ); fi
>
I am running apt-listbugs 0.0.69 on testing. In my case it doesn't
seem to be requesting info from the server, or the server is just
ignoring the request. I just sits there and, after about a minute,
gives the "Retry downloading bug information?[Y/n]?" query. To
complete the installation just answer n and n. I do not see the
"syntax error" you show.
Small complaint. The "Retrieving bug reports... 0%" replaced the,
IMHO, the more informative "Retrieving bug reports... 0% [0/3]" for
some reason. On dialup I really miss the [0/x]. The way it is now, I
have to keep looking at the modem to see if it's working, or not.
Lately it hasn't been.
Wayne
--
Basic, n.:
A programming language. Related to certain social diseases in
that those who have it will not admit it in polite company.
_______________________________________________________
--